{% extends 'base.html.twig' %}

{% block title %}Review - {{ category.name }} : Liste des produits{% endblock %}

{% block body %}
    <h1>{{ category.name }}</h1>
    {% if is_granted('ROLE_ADMIN') %}
        <a class="btn btn-success" href="{{ path('category_edit', { category: category.id }) }}">Éditer la catégorie</a>
    {% endif %}
    <h2>Liste des produits</h2>
    <div class="row">
        {% for product in products %}
            <div class="col-3">
                <div class="card" >
                    {% if product.thumbnail %}
                    <img class="card-img-top" src="{{ asset('uploads/pictures/' ~ product.thumbnail.url) }}" alt="{{ product.name }}">
                    {% endif %}
                    <div class="card-body">
                        <a href="{{ path('product_info', { product: product.id }) }}">{{ product.name }}</a>
                        <br>
                        {% if product.reviews is empty %}
                            <a href="{{ path('review_add', { product: product.id }) }}">Soyez le premier avis !</a>
                        {% else %}
                            {{ product.averageNote }} / 5
                        {% endif %}
                    </div>
                </div>
            </div>
        {% endfor %}
    </div>
{% endblock %}
